## python-xmlrunner 3.2.0

=== Makefile ===

build/tox/bin:
	python3 -m venv build/tox
	build/tox/bin/pip install tox

build/publish/bin:
	python3 -m venv build/publish
	build/publish/bin/pip install wheel twine

checkversion:
	git log -1 --oneline | grep -q "Bump version" || (echo "DID NOT DO VERSION BUMP"; exit 1)
	git show-ref --tags | grep -q $$(git log -1 --pretty=%H) || (echo "DID NOT TAG VERSION"; exit 1)

dist: checkversion build/publish/bin
	build/publish/bin/python setup.py sdist
	build/publish/bin/python setup.py bdist_wheel

publish: dist/ build/publish/bin
	build/publish/bin/twine upload dist/*

test: build/tox/bin
	build/tox/bin/tox

clean:
	rm -rf build/ dist/

.PHONY: checkversion dist publish clean test

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/unittest-xml-reporting.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/unittest-xml-reporting.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/unittest-xml-reporting"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/unittest-xml-reporting"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-xmlrunner 1.2

=== debian/changelog ===
python-xmlrunner (1.2-1) unstable; urgency=low

  * New upstream release.
  * Bump base version number in get-orig-source target.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Mar 2011 17:23:37 +0100

python-xmlrunner (1.0.3+git201103162341-1) unstable; urgency=low

  * Initial release.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Mar 2011 17:34:09 +0000

=== debian/control ===
Source: python-xmlrunner
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
Standards-Version: 3.9.1
Homepage: https://github.com/danielfm/unittest-xml-reporting
Vcs-Git: git://github.com/lamby/pkg-python-xmlrunner.git
Vcs-Browser: https://github.com/lamby/pkg-python-xmlrunner

Package: python-xmlrunner
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python test runner that produces machine-readable results
 unittest-xml-reporting is a Python "unittest" test runner that saves test
 results to machine-readble XML files that can be consumed by a wide range of
 development tools such as build systems, IDEs and continuous integration
 servers (such as Hudson/Jenkins).
 .
 It also includes an adaptor so that it can be used in conjunction with the
 Django web development framework.

=== debian/rules ===
#!/usr/bin/make -f

get-orig-source:
	set -ex; \
                PKG=python-xmlrunner; VER=1.2; \
                git clone git://github.com/danielfm/unittest-xml-reporting.git $$PKG; \
                DATE=`cd $$PKG && git show --pretty=format:"%cD" HEAD | head -n1`; \
                SUFFIX=`date -d "$$DATE" +%Y%m%d%H%M`; \
                rm -rf $$PKG/.git; \
                tar cfz $${PKG}_$$VER+git$${SUFFIX}.orig.tar.gz $$PKG; \
                rm -rf $$PKG

%:
	dh $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/danielfm/unittest-xml-reporting /(.*).tar.gz

## python-xmlrunner 3.2.0

=== debian/changelog ===
python-xmlrunner (3.2.0-3) unstable; urgency=medium

  * Team upload.
  * Patch to remove LICENSE from usr/LICENSE.(Closes: #1068500)
  * Migrated tests to autopkgtest suite.
    - d/control: Added autopkgtest-pkg-pybuild in Testsuite.
    - Removed debian/tests directory.
    - d/control: Updated Build-Depends.
    - Patch to fix AssertionError in autopkgtest in Py 3.12.
  * d/control: Bumped Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 09 Jun 2024 14:30:00 +0000

python-xmlrunner (3.2.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Sebastian Ramacher ]
  * Fix test result description fetching on Python 3.11 (Closes: #1028672)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 21:39:47 +0100

python-xmlrunner (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 02 Feb 2022 12:21:09 +0100

python-xmlrunner (3.0.4-3) unstable; urgency=medium

  * Increment just to upload source-only for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 17 Nov 2021 22:05:27 +0100

python-xmlrunner (3.0.4-2) unstable; urgency=medium

  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Nov 2021 08:21:34 +0100

python-xmlrunner (3.0.4-1) unstable; urgency=medium

  * Initial packaging (Closes: #989543).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 Oct 2021 16:00:17 +0200

=== debian/control ===
Source: python-xmlrunner
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/xmlrunner/unittest-xml-reporting
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-lxml,
               python3-setuptools,
               python3-django <!nocheck>,
               python3-pytest <!nocheck>,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlrunner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlrunner
Testsuite: autopkgtest-pkg-pybuild

Package: python3-xmlrunner
Architecture: all
Depends: python3-lxml,
         ${misc:Depends},
         ${python3:Depends}
Description: unit test runner reporting in xUnit format (Python 3)
 This module provides a unit test runner saving its result in
 the xUnit format, which can be consumed by a wide range of tools
 such as build systems, integrated development environments and
 continuous integration servers.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=xmlrunner
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Remove xml file generated during tests.
	find $(CURDIR)/debian/python3-xmlrunner \( -name '*.xml' \) -type f -delete

=== debian/watch ===
version=4
https://github.com/xmlrunner/unittest-xml-reporting/tags .*/(\d\S*)\.tar\.gz

## python-xmlrunner 4.0.0

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,7 @@
 	git show-ref --tags | grep -q $$(git log -1 --pretty=%H) || (echo "DID NOT TAG VERSION"; exit 1)
 
 dist: checkversion build/publish/bin
-	build/publish/bin/python setup.py sdist
-	build/publish/bin/python setup.py bdist_wheel
+	build/publish/bin/python -m build
 
 publish: dist/ build/publish/bin
 	build/publish/bin/twine upload dist/*

=== debian/changelog ===
python-xmlrunner (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.0.
  * d/watch: update to version 5 format.
  * Remove all patches fixed in upstream version.
  * d/control:
    - Update build-deps for new upstream version.
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.
    - Remove Rules-Requires-Root.
  * Add d/source/options.
  * Add d/clean.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 07 Feb 2026 04:09:30 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
-Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/xmlrunner/unittest-xml-reporting
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-lxml,
                python3-setuptools,
+               python3-setuptools-scm,
+               pybuild-plugin-pyproject,
                python3-django <!nocheck>,
                python3-pytest <!nocheck>,
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlrunner.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlrunner
 Testsuite: autopkgtest-pkg-pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: xmlrunner
Project: unittest-xml-reporting
